package com.ruoyi.voluntary.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 在线电子卡价格对象 b_busi_ecard_price
 * 
 * @author mingxue
 * @date 2022-08-06
 */
public class BBusiEcardPrice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 年级 */
    @Excel(name = "年级")
    private Integer greadId;

    /** 价格(分) */
    @Excel(name = "价格(分)")
    private Integer price;

    /** 学年 */
    @Excel(name = "学年")
    private Integer year;

    /** 到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date outTime;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGreadId(Integer greadId) 
    {
        this.greadId = greadId;
    }

    public Integer getGreadId() 
    {
        return greadId;
    }
    public void setPrice(Integer price) 
    {
        this.price = price;
    }

    public Integer getPrice() 
    {
        return price;
    }
    public void setYear(Integer year) 
    {
        this.year = year;
    }

    public Integer getYear() 
    {
        return year;
    }
    public void setOutTime(Date outTime) 
    {
        this.outTime = outTime;
    }

    public Date getOutTime() 
    {
        return outTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("greadId", getGreadId())
            .append("price", getPrice())
            .append("year", getYear())
            .append("outTime", getOutTime())
            .toString();
    }
}
